package com.zm.order.tool.server.response;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @Description 订单VO
 * @Author: ph
 * @Date: 2019/12/4 10:40
 */
public class OrderVO implements Serializable {

    @ApiModelProperty("订单id")
    private Long orderId;

    @ApiModelProperty("订单号")
    private String orderNo;

    @ApiModelProperty("来源单号")
    private String sourceNo;

    @ApiModelProperty("来源系统")
    private Integer fromSystem;

    @ApiModelProperty("店内单号")
    private String storeOrderNo;

    @ApiModelProperty("订单类型")
    private Integer orderType;

    @ApiModelProperty("订单子类型")
    private Integer orderSubType;

    @ApiModelProperty("商家id")
    private Long sellerId;

    @ApiModelProperty("门店id")
    private Long storeId;

    @ApiModelProperty("用户id")
    private Long userId;

    @ApiModelProperty("联系方式")
    private String mobile;

    @ApiModelProperty("地址id")
    private Integer addrId;

    @ApiModelProperty("状态")
    private Integer status;

    @ApiModelProperty("订单子状态")
    private Integer subStatus;

    @ApiModelProperty("支付状态")
    private Integer payStatus;

    @ApiModelProperty("售后状态")
    private Integer afterSaleStatus;

    @ApiModelProperty("接单状态")
    private Integer receiveStatus;

    @ApiModelProperty("履约状态")
    private Integer performanceStatus;

    @ApiModelProperty("开票状态")
    private Integer invoiceStatus;

    @ApiModelProperty("履约平台")
    private String performancePlatform;

    @ApiModelProperty("履约类型")
    private Integer performanceType;

    @ApiModelProperty("履约信息 map")
    private Map<String, Object> performanceInfoMap;

    @ApiModelProperty("是否立即履约")
    private Integer isImmediatePerformance;

    @ApiModelProperty("付款人")
    private Long payer;

    @ApiModelProperty("支付模式")
    private Integer payModel;

    @ApiModelProperty("支付类型")
    private Integer payType;

    @ApiModelProperty("下单时间")
    private Date orderAt;

    @ApiModelProperty("订单来源")
    private Integer source;

    @ApiModelProperty("支付信息")
    private Map<String, Object> payInfoMap;

    @ApiModelProperty("订单总金额")
    private Integer totalAmount;

    @ApiModelProperty("商品总金额")
    private Integer itemAmount;

    @ApiModelProperty("折扣总金额")
    private Integer discountAmount;

    @ApiModelProperty("运费总金额")
    private Integer freightAmount;

    @ApiModelProperty("实付金额")
    private BigDecimal actualAmount;

    @ApiModelProperty("支付金额")
    private Integer payAmount;

    @ApiModelProperty("找零金额")
    private Integer changeAmount;

    @ApiModelProperty("支付时间")
    private Date payAt;

    @ApiModelProperty("评价时间")
    private Date commentAt;

    @ApiModelProperty("完成时间")
    private Date completedAt;

    @ApiModelProperty("扩展信息")
    private Map<String, Object> extraMap;

    @ApiModelProperty("创建时间")
    private Date createdAt;

    @ApiModelProperty("更新时间")
    private Date updatedAt;

    @ApiModelProperty("是否打印")
    private Integer isReceipt;

    @ApiModelProperty("拒单原因")
    private String refusalReason;

    @ApiModelProperty("打包总金额")
    private Integer packAmount;

    @ApiModelProperty("接单时间")
    private Date receiveAt;

    @ApiModelProperty("评价状态")
    private Integer commentStatus;

    @ApiModelProperty("是否独立收款")
    private Integer isAlone;

    @ApiModelProperty("支付单号")
    private String payNo;

    @ApiModelProperty("第三方支付单号")
    private String thirdPayNo;

    @ApiModelProperty("买家备注")
    private String buyerRemarks;

    @ApiModelProperty("商家备注")
    private String sellerRemarks;

    @ApiModelProperty("商品列表")
    private List<OrderItemVO> itemList;

    @ApiModelProperty("折扣列表")
    private List<OrderDiscountVO> discountList;

    @ApiModelProperty("退款单列表")
    private List<RefundVO> refundList;

    @ApiModelProperty("退款金额")
    private Integer refundAmount;

    @ApiModelProperty("业务子类型")
    private Integer bizSubType;

    @ApiModelProperty("业务类型")
    private Integer bizType;

    @ApiModelProperty("支付详情列表")
    private List<OrderPayDetailsVO> payDetailsList;

    @ApiModelProperty("订单地址")
    private OrderAddrVO orderAddr;

    @ApiModelProperty("存在退款单标记 0：不存在 1：存在")
    private Integer refundFlag;

    @ApiModelProperty("退款完成标记，系统内部使用")
    private Integer refundCompleted;

    @ApiModelProperty(value = "三方扩展信息 map")
    private Map<String, Object> thirdExtraMap;

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getSourceNo() {
        return sourceNo;
    }

    public void setSourceNo(String sourceNo) {
        this.sourceNo = sourceNo;
    }

    public Integer getFromSystem() {
        return fromSystem;
    }

    public void setFromSystem(Integer fromSystem) {
        this.fromSystem = fromSystem;
    }

    public String getStoreOrderNo() {
        return storeOrderNo;
    }

    public void setStoreOrderNo(String storeOrderNo) {
        this.storeOrderNo = storeOrderNo;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public Integer getOrderSubType() {
        return orderSubType;
    }

    public void setOrderSubType(Integer orderSubType) {
        this.orderSubType = orderSubType;
    }

    public Long getSellerId() {
        return sellerId;
    }

    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Integer getAddrId() {
        return addrId;
    }

    public void setAddrId(Integer addrId) {
        this.addrId = addrId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getSubStatus() {
        return subStatus;
    }

    public void setSubStatus(Integer subStatus) {
        this.subStatus = subStatus;
    }

    public Integer getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(Integer payStatus) {
        this.payStatus = payStatus;
    }

    public Integer getAfterSaleStatus() {
        return afterSaleStatus;
    }

    public void setAfterSaleStatus(Integer afterSaleStatus) {
        this.afterSaleStatus = afterSaleStatus;
    }

    public Integer getReceiveStatus() {
        return receiveStatus;
    }

    public void setReceiveStatus(Integer receiveStatus) {
        this.receiveStatus = receiveStatus;
    }

    public Integer getPerformanceStatus() {
        return performanceStatus;
    }

    public void setPerformanceStatus(Integer performanceStatus) {
        this.performanceStatus = performanceStatus;
    }

    public Integer getInvoiceStatus() {
        return invoiceStatus;
    }

    public void setInvoiceStatus(Integer invoiceStatus) {
        this.invoiceStatus = invoiceStatus;
    }

    public String getPerformancePlatform() {
        return performancePlatform;
    }

    public void setPerformancePlatform(String performancePlatform) {
        this.performancePlatform = performancePlatform;
    }

    public Integer getPerformanceType() {
        return performanceType;
    }

    public void setPerformanceType(Integer performanceType) {
        this.performanceType = performanceType;
    }

    public Map<String, Object> getPerformanceInfoMap() {
        return performanceInfoMap;
    }

    public void setPerformanceInfoMap(Map<String, Object> performanceInfoMap) {
        this.performanceInfoMap = performanceInfoMap;
    }

    public Integer getIsImmediatePerformance() {
        return isImmediatePerformance;
    }

    public void setIsImmediatePerformance(Integer isImmediatePerformance) {
        this.isImmediatePerformance = isImmediatePerformance;
    }

    public Long getPayer() {
        return payer;
    }

    public void setPayer(Long payer) {
        this.payer = payer;
    }

    public Integer getPayModel() {
        return payModel;
    }

    public void setPayModel(Integer payModel) {
        this.payModel = payModel;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public Date getOrderAt() {
        return orderAt;
    }

    public void setOrderAt(Date orderAt) {
        this.orderAt = orderAt;
    }

    public Integer getSource() {
        return source;
    }

    public void setSource(Integer source) {
        this.source = source;
    }

    public Map<String, Object> getPayInfoMap() {
        return payInfoMap;
    }

    public void setPayInfoMap(Map<String, Object> payInfoMap) {
        this.payInfoMap = payInfoMap;
    }

    public Integer getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(Integer totalAmount) {
        this.totalAmount = totalAmount;
    }

    public Integer getItemAmount() {
        return itemAmount;
    }

    public void setItemAmount(Integer itemAmount) {
        this.itemAmount = itemAmount;
    }

    public Integer getDiscountAmount() {
        return discountAmount;
    }

    public void setDiscountAmount(Integer discountAmount) {
        this.discountAmount = discountAmount;
    }

    public Integer getFreightAmount() {
        return freightAmount;
    }

    public void setFreightAmount(Integer freightAmount) {
        this.freightAmount = freightAmount;
    }

    public BigDecimal getActualAmount() {
        return actualAmount;
    }

    public void setActualAmount(BigDecimal actualAmount) {
        this.actualAmount = actualAmount;
    }

    public Integer getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(Integer payAmount) {
        this.payAmount = payAmount;
    }

    public Integer getChangeAmount() {
        return changeAmount;
    }

    public void setChangeAmount(Integer changeAmount) {
        this.changeAmount = changeAmount;
    }

    public Date getPayAt() {
        return payAt;
    }

    public void setPayAt(Date payAt) {
        this.payAt = payAt;
    }

    public Date getCommentAt() {
        return commentAt;
    }

    public void setCommentAt(Date commentAt) {
        this.commentAt = commentAt;
    }

    public Date getCompletedAt() {
        return completedAt;
    }

    public void setCompletedAt(Date completedAt) {
        this.completedAt = completedAt;
    }

    public Map<String, Object> getExtraMap() {
        return extraMap;
    }

    public void setExtraMap(Map<String, Object> extraMap) {
        this.extraMap = extraMap;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public Integer getIsReceipt() {
        return isReceipt;
    }

    public void setIsReceipt(Integer isReceipt) {
        this.isReceipt = isReceipt;
    }

    public String getRefusalReason() {
        return refusalReason;
    }

    public void setRefusalReason(String refusalReason) {
        this.refusalReason = refusalReason;
    }

    public Integer getPackAmount() {
        return packAmount;
    }

    public void setPackAmount(Integer packAmount) {
        this.packAmount = packAmount;
    }

    public Date getReceiveAt() {
        return receiveAt;
    }

    public void setReceiveAt(Date receiveAt) {
        this.receiveAt = receiveAt;
    }

    public Integer getCommentStatus() {
        return commentStatus;
    }

    public void setCommentStatus(Integer commentStatus) {
        this.commentStatus = commentStatus;
    }

    public Integer getIsAlone() {
        return isAlone;
    }

    public void setIsAlone(Integer isAlone) {
        this.isAlone = isAlone;
    }

    public String getPayNo() {
        return payNo;
    }

    public void setPayNo(String payNo) {
        this.payNo = payNo;
    }

    public String getThirdPayNo() {
        return thirdPayNo;
    }

    public void setThirdPayNo(String thirdPayNo) {
        this.thirdPayNo = thirdPayNo;
    }

    public String getBuyerRemarks() {
        return buyerRemarks;
    }

    public void setBuyerRemarks(String buyerRemarks) {
        this.buyerRemarks = buyerRemarks;
    }

    public String getSellerRemarks() {
        return sellerRemarks;
    }

    public void setSellerRemarks(String sellerRemarks) {
        this.sellerRemarks = sellerRemarks;
    }

    public List<OrderItemVO> getItemList() {
        return itemList;
    }

    public void setItemList(List<OrderItemVO> itemList) {
        this.itemList = itemList;
    }

    public List<OrderDiscountVO> getDiscountList() {
        return discountList;
    }

    public void setDiscountList(List<OrderDiscountVO> discountList) {
        this.discountList = discountList;
    }

    public List<RefundVO> getRefundList() {
        return refundList;
    }

    public void setRefundList(List<RefundVO> refundList) {
        this.refundList = refundList;
    }

    public Integer getRefundAmount() {
        return refundAmount;
    }

    public void setRefundAmount(Integer refundAmount) {
        this.refundAmount = refundAmount;
    }

    public Integer getBizSubType() {
        return bizSubType;
    }

    public void setBizSubType(Integer bizSubType) {
        this.bizSubType = bizSubType;
    }

    public Integer getBizType() {
        return bizType;
    }

    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }

    public List<OrderPayDetailsVO> getPayDetailsList() {
        return payDetailsList;
    }

    public void setPayDetailsList(List<OrderPayDetailsVO> payDetailsList) {
        this.payDetailsList = payDetailsList;
    }

    public OrderAddrVO getOrderAddr() {
        return orderAddr;
    }

    public void setOrderAddr(OrderAddrVO orderAddr) {
        this.orderAddr = orderAddr;
    }

    public Integer getRefundFlag() {
        return refundFlag;
    }

    public void setRefundFlag(Integer refundFlag) {
        this.refundFlag = refundFlag;
    }

    public Integer getRefundCompleted() {
        return refundCompleted;
    }

    public void setRefundCompleted(Integer refundCompleted) {
        this.refundCompleted = refundCompleted;
    }

    public Map<String, Object> getThirdExtraMap() {
        return thirdExtraMap;
    }

    public void setThirdExtraMap(Map<String, Object> thirdExtraMap) {
        this.thirdExtraMap = thirdExtraMap;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
